> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Settlement Reconciliation

> - Use this API to get settlement reconciliation details using Settlement ID, settlement UTR or date range.
- This API will return events for the settlement IDs you want




## OpenAPI

````yaml /openapi/payments/v2022-09-01.yaml post /settlement/recon
openapi: 3.0.0
info:
  version: '2022-09-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server
  - url: https://api.cashfree.com/pg
    description: Production server
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order
  - name: Offers
    description: Collection of APIs to handle offers
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation
paths:
  /settlement/recon:
    post:
      tags:
        - Settlement Reconciliation
      summary: Settlement Reconciliation
      description: >
        - Use this API to get settlement reconciliation details using Settlement
        ID, settlement UTR or date range.

        - This API will return events for the settlement IDs you want
      operationId: PGSettlementFetchRecon
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
          description: application/json
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
          description: application/json
      requestBody:
        $ref: '#/components/requestBodies/SettlementFetchReconRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettlementReconEntity'
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '400':
          $ref: '#/components/responses/Response400'
        '401':
          $ref: '#/components/responses/Response401'
        '404':
          $ref: '#/components/responses/Response404'
        '409':
          $ref: '#/components/responses/Response409'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD
      schema:
        type: string
        description: API version to be used
        default: '2022-09-01'
      example: '2022-09-01'
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request id for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to cashfree
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        Idempotency works by saving the resulting status code and body of the
        first request made for any given idempotency key, regardless of whether
        it succeeded or failed. Subsequent requests with the same key return the
        same result, including 500 errors.


        Currently supported on all POST calls that uses x-client-id &
        x-client-secret. To use enable, pass x-idempotency-key in the request
        header. The value of this header must be unique to each operation you
        are trying to do. One example can be to use the same order_id that you
        pass while creating orders 
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  requestBodies:
    SettlementFetchReconRequest:
      description: Request Body for the settlement reconciliation
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SettlementFetchReconRequest'
  schemas:
    SettlementReconEntity:
      title: SettlementReconEntity
      description: Recon object for settlement
      example:
        cursor: cursor
        limit: 7
        data:
          - event_id: '43594'
            entity: recon
            event_type: REFUND
            sale_type: DEBIT
            event_time: '2022-08-16T15:06:41+05:30'
            event_settlement_amount: 200
            event_amount: 200
            event_status: SUCCESS
            event_currency: INR
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            customer_name: Manideep
            customer_phone: '8281554863'
            customer_email: manideep.ellur@cashfree.com
            cf_payment_id: 885472862
            payment_amount: 3067.26
            order_amount: 3000
            payment_time: '2022-08-16T14:41:06+05:30'
            payment_service_charge: 0
            payment_service_tax: 0
            payment_utr: '210396'
            cf_settlement_id: 45406
            vendor_commission: 0
            split_service_charge: 0
            split_service_tax: 0
            settlement_utr: PGI45406
            settlement_date: '2022-08-16T14:45:24+05:30'
            refund_note: nh
            refund_id: REF_bb406ef0-886b-4f96-8fef-ba0a15d901e6
            refund_arn: test
            refund_processed_at: '2022-08-16T15:06:41+05:30'
            payment_group: CREDIT_CARD
          - event_id: '43594'
            entity: recon
            event_type: REFUND_REVERSAL
            sale_type: DEBIT
            event_time: '2022-08-16T15:06:41+05:30'
            event_settlement_amount: 200
            event_amount: 200
            event_status: SUCCESS
            event_currency: INR
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            customer_name: Manideep
            customer_phone: '8281554863'
            customer_email: manideep.ellur@cashfree.com
            cf_payment_id: 885472862
            payment_amount: 3067.26
            order_amount: 3000
            payment_time: '2022-08-16T14:41:06+05:30'
            payment_service_charge: 0
            payment_service_tax: 0
            payment_utr: '210396'
            cf_settlement_id: 45406
            vendor_commission: 0
            split_service_charge: 0
            split_service_tax: 0
            settlement_utr: PGI45406
            settlement_date: '2022-08-16T14:45:24+05:30'
            refund_note: nh
            refund_id: REF_bb406ef0-886b-4f96-8fef-ba0a15d901e6
            refund_arn: test
            refund_processed_at: '2022-08-16T15:06:41+05:30'
            payment_group: CREDIT_CARD
          - event_id: '272'
            entity: recon
            event_type: DISPUTE
            sale_type: DEBIT
            event_time: '2022-08-16T14:52:55+05:30'
            event_settlement_amount: 3067.26
            event_amount: 3067.26
            event_status: CLOSED
            event_currency: INR
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            customer_name: Manideep
            customer_phone: '8281554863'
            customer_email: manideep.ellur@cashfree.com
            cf_payment_id: 885472862
            payment_amount: 3067.26
            order_amount: 3000
            payment_time: '2022-08-16T14:41:06+05:30'
            payment_service_charge: 0
            payment_service_tax: 0
            payment_utr: '210396'
            cf_settlement_id: 45406
            vendor_commission: 0
            split_service_charge: 0
            split_service_tax: 0
            settlement_utr: PGI45406
            settlement_date: '2022-08-16T14:45:24+05:30'
            closed_in_favor_of: MERCHANT
            dispute_category: 1402-Duplicate Processing
            dispute_note: tesr
            dispute_resolved_on: '2022-08-16 14:53:15'
            payment_group: CREDIT_CARD
          - event_id: '272'
            entity: recon
            event_type: DISPUTE_REVERSAL
            sale_type: CREDIT
            event_time: '2022-08-16T14:52:55+05:30'
            event_settlement_amount: 3067.26
            event_amount: 3067.26
            event_status: CLOSED
            event_currency: INR
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            customer_name: Manideep
            customer_phone: '8281554863'
            customer_email: manideep.ellur@cashfree.com
            cf_payment_id: 885472862
            payment_amount: 3067.26
            order_amount: 3000
            payment_time: '2022-08-16T14:41:06+05:30'
            payment_service_charge: 0
            payment_service_tax: 0
            payment_utr: '210396'
            cf_settlement_id: 45406
            vendor_commission: 0
            split_service_charge: 0
            split_service_tax: 0
            settlement_utr: PGI45406
            settlement_date: '2022-08-16T14:45:24+05:30'
            closed_in_favor_of: MERCHANT
            dispute_category: 1402-Duplicate Processing
            dispute_note: tesr
            dispute_resolved_on: '2022-08-16 14:53:15'
            payment_group: CREDIT_CARD
          - event_id: '885472982'
            entity: recon
            event_type: PAYMENT
            sale_type: CREDIT
            event_time: '2022-08-16T15:07:56+05:30'
            event_settlement_amount: 3000
            event_amount: 3067.26
            event_status: SUCCESS
            event_currency: INR
            order_id: order_1527072DQsWeQWtwlll6BhI3bt0Fluj81
            customer_name: Manideep
            customer_phone: '8281554863'
            customer_email: manideep.ellur@cashfree.com
            order_amount: 3000
            payment_service_charge: 0
            payment_service_tax: 0
            payment_utr: '572910'
            cf_settlement_id: 45406
            vendor_commission: 0
            split_service_charge: 0
            split_service_tax: 0
            settlement_utr: PGI45406
            settlement_date: '2022-08-16T15:08:51+05:30'
            payment_group: CREDIT_CARD
          - event_id: '45406'
            entity: recon
            event_type: OTHER_ADJUSTMENT
            sale_type: DEBIT
            event_time: '2022-08-16T15:08:48+05:30'
            event_settlement_amount: 3
            event_amount: 3
            event_currency: INR
            cf_settlement_id: 45406
            adjustment_remarks: INSTANT_SETTLEMENT_CHARGE
            payment_group: CREDIT_CARD
          - event_id: '45406'
            entity: recon
            event_type: OTHER_ADJUSTMENT
            sale_type: DEBIT
            event_time: '2022-08-16T15:08:48+05:30'
            event_settlement_amount: 0.54
            event_amount: 0.54
            event_currency: INR
            cf_settlement_id: 45406
            adjustment_remarks: INSTANT_SETTLEMENT_TAX
            payment_group: CREDIT_CARD
      properties:
        cursor:
          type: string
          description: >-
            Specifies from where the next set of settlement details should be
            fetched.
        limit:
          type: integer
          description: Number of settlements you want to fetch in the next iteration.
        data:
          type: array
          items:
            type: object
            properties:
              event_id:
                type: string
                description: Unique ID associated with the event.
              event_type:
                type: string
                description: >-
                  The event type can be PAYMENT, REFUND, REFUND_REVERSAL,
                  DISPUTE, DISPUTE_REVERSAL, CHARGEBACK, CHARGEBACK_REVERSAL,
                  OTHER_ADJUSTMENT.
              event_settlement_amount:
                type: number
                description: >-
                  Amount that is part of the settlement corresponding to the
                  event.
              event_amount:
                type: number
                description: >-
                  Amount corresponding to the event. Example, refund amount,
                  dispute amount, payment amount, etc.
              sale_type:
                type: string
                description: Indicates if it is CREDIT/DEBIT sale.
              event_status:
                type: string
                description: >-
                  Status of the event. Example - SUCCESS, FAILED, PENDING,
                  CANCELLED.
              entity:
                type: string
                description: Recon
              event_time:
                type: string
                description: >-
                  Time associated with the event. Example, transaction time,
                  dispute initiation time
              event_currency:
                type: string
                description: Curreny type - INR.
              order_id:
                type: string
                description: Unique order ID. Alphanumeric and only '-' and '_' allowed.
              order_amount:
                type: number
                description: The amount which was passed at the order creation time.
              customer_phone:
                type: string
                description: Customer phone number.
              customer_email:
                type: string
                description: Customer email.
              customer_name:
                type: string
                description: Customer name.
              payment_amount:
                type: number
                description: Payment amount captured.
              payment_utr:
                type: string
                description: Unique transaction reference number of the payment.
              payment_time:
                type: string
                description: Date and time when the payment was initiated.
              payment_service_charge:
                type: number
                description: Service charge applicable for the payment.
              payment_service_tax:
                type: number
                description: Service tax applicable on the payment.
              cf_payment_id:
                type: integer
                format: int64
                description: Cashfree Payments unique ID to identify a payment.
              cf_settlement_id:
                type: integer
                description: Unique ID to identify the settlement.
              settlement_date:
                type: string
                description: Date and time when the settlement was processed.
              settlement_utr:
                type: string
                description: Unique transaction reference number of the settlement.
              split_service_charge:
                type: number
                description: Service charge that is applicable for splitting the payment.
              split_service_tax:
                type: number
                description: Service tax applicable for splitting the amount to vendors.
              vendor_commission:
                type: number
                description: Vendor commission applicable for this transaction.
              closed_in_favor_of:
                type: string
                description: >-
                  Specifies whether the dispute was closed in favor of the
                  merchant or customer. Possible values - Merchant, Customer.
              dispute_resolved_on:
                type: string
                description: Date and time when the dispute was resolved.
              dispute_category:
                type: string
                description: >-
                  Category of the dispute - Dispute code and the reason for
                  dispute is shown.
              dispute_note:
                type: string
                description: Note regarding the dispute.
              refund_processed_at:
                type: string
                description: Date and time when the refund was processed.
              refund_arn:
                type: string
                description: The bank reference number for refund.
              refund_note:
                type: string
                description: A refund note for your reference.
              refund_id:
                type: string
                description: An unique ID associated with the refund.
              adjustment_remarks:
                type: string
                description: Other adjustment remarks.
    SettlementFetchReconRequest:
      type: object
      description: Recon Request Object
      example:
        pagination:
          limit: 10
          cursor: >-
            eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
        filters:
          cf_settlement_ids:
            - 4234233
          settlement_utrs:
            - utr1
            - utr2
          start_date: '2022-07-20T00:00:00Z'
          end_date: '2022-07-21T23:59:59Z'
      properties:
        pagination:
          type: object
          properties:
            limit:
              type: integer
              description: >-
                The number of settlements you want to fetch. Maximum limit is
                1000, default value is 10.
            cursor:
              type: string
              description: >-
                Specifies from where the next set of settlement details should
                be fetched.
          description: >-
            To fetch the next set of settlements, pass the cursor received in
            the response to the next API call. 
             To receive the data for the first time, pass the cursor as null. 
             Limit would be number of settlements that you want to receive.
          required:
            - limit
        filters:
          type: object
          properties:
            cf_settlement_ids:
              type: array
              items:
                type: integer
              description: >-
                List of settlement IDs for which you want the settlement
                reconciliation details.
            settlement_utrs:
              type: array
              items:
                type: string
              description: >-
                List of settlement UTRs for which you want the settlement
                reconciliation details.
            start_date:
              type: string
              description: >-
                Specify the start date from when you want the settlement
                reconciliation details.
            end_date:
              type: string
              description: >-
                Specify the end date till when you want the settlement
                reconciliation details.
          description: >-
            Specify either the Settlement ID, Settlement UTR, or start date and
            end date to fetch the settlement details.
      required:
        - pagination
        - filters
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
    AuthenticationError:
      title: AuthenticationError
      description: Error if api keys are wrong
      example:
        message: authentication Failed
        code: request_failed
        type: authentication_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: authentication_error
    ApiError404:
      title: ApiError404
      description: Error when resource requested is not found
      example:
        message: something is not found
        code: somethind_not_found
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error
    ApiError409:
      title: ApiError409
      description: duplicate request
      example:
        message: order with same id is already present
        code: order_already_exists
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error
    IdempotencyError:
      title: IdempotencyError
      description: >-
        Error when idempotency fails. Different request body with the same
        idempotent key
      example:
        message: something is not found
        code: request_invalid
        type: idempotency_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - idempotency_error
          description: idempotency_error
    RateLimitError:
      title: RateLimitError
      description: Error when rate limit is breached for your api
      example:
        message: Too many requests from IP. Check headers
        code: request_failed
        type: rate_limit_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - rate_limit_error
          description: rate_limit_error
    ApiError:
      title: ApiError
      description: Error at cashfree's server
      example:
        message: internal Server Error
        code: internal_error
        type: api_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - api_error
          description: api_error
  headers:
    x-api-version:
      schema:
        type: string
        format: YYYY-MM-DD
        enum:
          - '2022-09-01'
      description: >-
        This header has the version of the API. The current version is
        `2022-09-01`.
    x-ratelimit-limit:
      schema:
        type: integer
      example: 200
      description: Ratelimit set for your account for this API per minute
    x-ratelimit-remaining:
      schema:
        type: integer
      example: 2
      description: >-
        Rate limit remaning for your account for this API in the next minute.
        Uses sliding window
    x-ratelimit-retry:
      schema:
        type: integer
      example: 4
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
    x-ratelimit-type:
      schema:
        type: string
        enum:
          - app_id
          - ip
      example: ip
      description: >
        either ip or app_id

        - `ip` if making a call from the browser. True for api where you don't
        need `x-client-id` and `x-client-secret`

        - `app_id` for authenticated api calls i.e using `x-client-id` and
        `x-client-secret`
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        Request id for your api call. Is blank or null if no `x-request-id` is
        sent during the request
    x-idempotency-key:
      schema:
        type: string
      example: some-idem-id
      description: Idempotency key used during the request. Applicable for POST only
    x-idempotency-replayed:
      schema:
        type: string
        format: boolean
      example: 'true'
      description: |-
        In conjunction with `x-idempotency-key` this means
        - `true` if the response was replayed
        - `false` if the response has not been replayed
  responses:
    Response400:
      description: Bad request error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response401:
      description: Authentication Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthenticationError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response404:
      description: Resource Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError404'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response409:
      description: Resource already present
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError409'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response422:
      description: Idempotency error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IdempotencyError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response429:
      description: Rate Limit Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response500:
      description: API related Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant id if you don't have
        the merchant client app id

````